API ReferenceapicommerceGET /v1/addresses

GET /v1/addresses

Service: commerce · operationId: (none)

Required scopes

(no scope declared — review service config)

Responses

200 List saved addresses for the current patient

{
  "type": "object",
  "properties": {
    "addresses": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "patient_id": {
            "type": "string",
            "format": "uuid"
          },
          "label": {
            "type": "string"
          },
          "line1": {
            "type": "string"
          },
          "line2": {
            "type": [
              "string",
              "null"
            ]
          },
          "city": {
            "type": "string"
          },
          "state": {
            "type": "string"
          },
          "postal_code": {
            "type": "string"
          },
          "country": {
            "type": "string"
          },
          "is_default": {
            "type": "boolean"
          },
          "created_at": {
            "type": "string"
          },
          "updated_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "patient_id",
          "label",
          "line1",
          "line2",
          "city",
          "state",
          "postal_code",
          "country",
          "is_default",
          "created_at",
          "updated_at"
        ]
      }
    }
  },
  "required": [
    "addresses"
  ]
}

400 Unable to list addresses

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://commerce.platform.loop.health/v1/addresses \
  -H "Authorization: Bearer $ACCESS_TOKEN"